package com.s5gi.effect;

import net.minecraft.entity.effect.StatusEffect;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.registry.RegistryKey;
import net.minecraft.util.Identifier;

import static com.s5gi.Lacess.MOD_ID;

public class LacessEffects {

    public static final RegistryKey<StatusEffect> TEST_EFFECT_KEY = RegistryKey.of(Registries.STATUS_EFFECT.getKey(), Identifier.of(MOD_ID, "test_effect"));


    public static final StatusEffect TEST_EFFECT = new Test_Effect();


    public static void init() {
        register(TEST_EFFECT_KEY, TEST_EFFECT);
    }

    public static StatusEffect register(RegistryKey<StatusEffect> registryKey, StatusEffect effect) {
        return Registry.register(Registries.STATUS_EFFECT, registryKey, effect);
    }

}
