package com.s5gi.networking;

import com.s5gi.Lacess;
import com.s5gi.networking.payloads.S2C.HudRendererTimeUpdatePayload;
import net.fabricmc.fabric.api.networking.v1.PayloadTypeRegistry;
import net.fabricmc.fabric.api.networking.v1.ServerPlayNetworking;
import net.minecraft.network.packet.CustomPayload;
import net.minecraft.server.network.ServerPlayerEntity;

public class LacessNetworking {
    public static void init() {
        Lacess.LOGGER.info("Registering Lacess Networking...");
        PayloadTypeRegistry.playS2C().register(HudRendererTimeUpdatePayload.ID, HudRendererTimeUpdatePayload.CODEC);
        PayloadTypeRegistry.playC2S().register(HudRendererTimeUpdatePayload.ID, HudRendererTimeUpdatePayload.CODEC);

    }


    public class S2C {
        public static void sendPayload(ServerPlayerEntity player, CustomPayload payload) {
            ServerPlayNetworking.send(player, payload);
        }
    }
    public class C2S {
        public static void sendPayload(CustomPayload payload) {

        }
    }
}
