package com.s5gi.item;

import com.s5gi.item.behaviors.Test_Dust;
import net.fabricmc.fabric.api.itemgroup.v1.ItemGroupEvents;
import net.minecraft.item.Item;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemGroups;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.util.Identifier;

import java.lang.reflect.InvocationTargetException;

import static com.s5gi.Lacess.MOD_ID;

public class LacessItems {

    public static final Item TEST_DUST = Test_Dust.register("test_dust", ItemGroups.INGREDIENTS);


    public static void init() {}

    private static Item register(Item.Settings itemSettings, String name, RegistryKey<ItemGroup> itemGroup) {
        Identifier id = Identifier.of(MOD_ID, name);
        RegistryKey<Item> key = RegistryKey.of(RegistryKeys.ITEM, id);
        Item.Settings settings = itemSettings.registryKey(key);
        Item item = Registry.register(Registries.ITEM, key, new Item(settings));
        ItemGroupEvents.modifyEntriesEvent(itemGroup)
                .register((itemGroupa) -> itemGroupa.add(item));
        return item;
    }
//
//    private static Item register(Class<Item> passedItem, Item.Settings itemSettings, String name, RegistryKey<ItemGroup> itemGroup) {
//        Identifier id = Identifier.of(MOD_ID, name);
//        RegistryKey<Item> key = RegistryKey.of(RegistryKeys.ITEM, id);
//        Item.Settings settings = itemSettings.registryKey(key);
//        Item item;
//        try {
//            item = Registry.register(Registries.ITEM, key, passedItem.getConstructor(Item.Settings.class).newInstance(settings));
//        } catch (InstantiationException | IllegalAccessException | InvocationTargetException | NoSuchMethodException e) {
//            throw new RuntimeException(e);
//        }
//        ItemGroupEvents.modifyEntriesEvent(itemGroup)
//                .register((itemGroupa) -> itemGroupa.add(item));
//        return item;
//    }



    private static Item register(String name, RegistryKey<ItemGroup> itemGroup) {
        Identifier id = Identifier.of(MOD_ID, name);
        RegistryKey<Item> key = RegistryKey.of(RegistryKeys.ITEM, id);
        Item.Settings settings = new Item.Settings().registryKey(key);
        Item item = Registry.register(Registries.ITEM, key, new Item(settings));
        ItemGroupEvents.modifyEntriesEvent(itemGroup)
                .register((itemGroupa) -> itemGroupa.add(item));
        return item;
    }
//
//    private static Item register(Class<Item> passedItem, String name, RegistryKey<ItemGroup> itemGroup) {
//        Identifier id = Identifier.of(MOD_ID, name);
//        RegistryKey<Item> key = RegistryKey.of(RegistryKeys.ITEM, id);
//        Item.Settings settings = new Item.Settings().registryKey(key);
//        Item item;
//        try {
//            item = Registry.register(Registries.ITEM, key, passedItem.getConstructor(Item.Settings.class).newInstance(settings));
//        } catch (InstantiationException | IllegalAccessException | InvocationTargetException | NoSuchMethodException e) {
//            throw new RuntimeException(e);
//        }
//        ItemGroupEvents.modifyEntriesEvent(itemGroup)
//                .register((itemGroupa) -> itemGroupa.add(item));
//        return item;
//    }
}
